Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 6)
@@ -2781,7 +3483,7 @@
                 int TotalValue = 0;
                 int ResultPriceValue = 0;
 
-                int Colcnt = dgv.ColumnCount - (int)DispGridColumn.payment;
+                int Colcnt = dgv.ColumnCount - (int)GridColumn.payment;
                 int[] MTotal = new int[Colcnt];
                 int TotalPoint = dgv.ColumnCount + (int)ColPayTotal.Totals;
 
@@ -2808,18 +3510,22 @@
                 // 契約工期完了
                 work.ConstructionEnd = CommonMotions.cnvDate(m_DspLabelCtrl[(int)DspLblCtrlName.CompleteDate].Text);
                 // 税抜受注決定金額
-                string strwork = CommonMotions.cnvString(m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text).Replace("-", "");
+                string strwork = m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text;
                 work.OrdersDecisionPrice = CommonMotions.cnvDouble(strwork);
                 // 会社経費合計
                 int Rowcnt = GetExpenss("会社");
-                work.CompanyExpenses = CommonMotions.cnvDouble(dgv.Rows[Rowcnt].Cells[(int)DispGridColumn.ExecPrice].Value);
+                work.CompanyExpenses = CommonMotions.cnvDouble(dgv.Rows[Rowcnt].Cells[(int)GridColumn.ExecPrice].Value);
                 // 部署経費合計
                 Rowcnt = GetExpenss("部署");
-                work.DepartmentExpenses = CommonMotions.cnvDouble(dgv.Rows[Rowcnt].Cells[(int)DispGridColumn.ExecPrice].Value);
+                work.DepartmentExpenses = CommonMotions.cnvDouble(dgv.Rows[Rowcnt].Cells[(int)GridColumn.ExecPrice].Value);
                 // 営業経費合計
                 Rowcnt = GetExpenss("営業");
-                work.SalesExpenses = CommonMotions.cnvDouble(dgv.Rows[Rowcnt].Cells[(int)DispGridColumn.ExecPrice].Value);
+                work.SalesExpenses = CommonMotions.cnvDouble(dgv.Rows[Rowcnt].Cells[(int)GridColumn.ExecPrice].Value);
 
+                // 受注金額積算フラグ
+                if (CommonMotions.CheckCreateLedgerData(m_ConstructionBaseInfo.ConstructionStatusFlg, 
+                                                        m_ConstructionBaseInfo.ConstructionType)) work.IntegrationFlg = 1;
+
                 // 経費を取得する
                 int endRow = m_CostsRowCount[(int)CostsRowLine.ConstructionCostLine];
                 double bworkExpenses = 0;
@@ -2826,25 +3532,51 @@
                 for (int i = 0; i < endRow; i++)
                 {
                     // 集計する
-                    bworkExpenses += CommonMotions.cnvDouble(dgv.Rows[i].Cells[(int)DispGridColumn.ExecPrice].Value);
+                    bworkExpenses += CommonMotions.cnvDouble(dgv.Rows[i].Cells[(int)GridColumn.ExecPrice].Value);
                 }
 
                 // 総支払額（支払額－経費）
                 work.TotalPayment = TotalValue - bworkExpenses;
 
-                // 給与
-                int PayrollExpensesRow = m_CostsRowCount[(int)CostsRowLine.PayrollExpensesRowLine];
-                if (PayrollExpensesRow > 0)
+                // 担当者給与
+                int PayrollRow = m_CostsRowCount[(int)CostsRowLine.PayrollRowLine];
+                if (PayrollRow > 0)
                 {
-                    work.Allowance = CommonMotions.cnvDouble(dgv.Rows[PayrollExpensesRow].Cells[TotalPoint].Value);
+                    int GroupNo = 0;
+                    for (int i = PayrollRow; i < dgv.RowCount; i++)
+                    {
+                        GroupNo = CommonMotions.cnvInt(dgv.Rows[i].Cells[(int)GridColumn.GroupCount].Value);
+                        if (GroupNo != (int)GroupName_ConstructionLedger.Payroll) break;
+                        work.Allowance += CommonMotions.cnvDouble(dgv.Rows[i].Cells[TotalPoint].Value);
+                    }
                 }
 
+                // 副担当者給与
+                int AssistantRow = m_CostsRowCount[(int)CostsRowLine.AssistantRowLine];
+                double bworkAssistant = 0;
+                if (AssistantRow > 0)
+                {
+                    int GroupNo = 0;
+                    for (int i = AssistantRow; i < dgv.RowCount; i++)
+                    {
+                        GroupNo = CommonMotions.cnvInt(dgv.Rows[i].Cells[(int)GridColumn.GroupCount].Value);
+                        if (GroupNo != (int)GroupName_ConstructionLedger.Assistant) break;
+                        bworkAssistant += CommonMotions.cnvDouble(dgv.Rows[i].Cells[TotalPoint].Value);
+                    }
+                }
+
                 // 指導員給与
                 int InstructorRow = m_CostsRowCount[(int)CostsRowLine.InstructorRowLine];
                 double bworkInstructor = 0;
                 if (InstructorRow > 0)
                 {
-                    bworkInstructor = CommonMotions.cnvDouble(dgv.Rows[InstructorRow].Cells[TotalPoint].Value);
+                    int GroupNo = 0;
+                    for (int i = InstructorRow; i < dgv.RowCount; i++)
+                    {
+                        GroupNo = CommonMotions.cnvInt(dgv.Rows[i].Cells[(int)GridColumn.GroupCount].Value);
+                        if (GroupNo != (int)GroupName_ConstructionLedger.Instructor) break;
+                        bworkInstructor += CommonMotions.cnvDouble(dgv.Rows[i].Cells[TotalPoint].Value);
+                    }
                 }
 
                 // 請求金額
@@ -2854,8 +3586,8 @@
                 {
                     BillingValue = CommonMotions.cnvInt(dgv.Rows[BillingLineCnt].Cells[TotalPoint].Value);
                 }
-                // 粗利（請求金額－支払額－（給与＋指導員給与））
-                work.GrossProfit = BillingValue - (TotalValue - (work.Allowance + bworkInstructor));
+                // 粗利（請求金額－支払額－（担当者給与＋副担当者給与＋指導員給与））
+                work.GrossProfit = BillingValue - (TotalValue - (work.Allowance + bworkAssistant + bworkInstructor));
 
                 // 純利益
                 // 合計欄位置取得
@@ -2930,28 +3662,30 @@
 
                 DataGridView dgv = dgvAllDisplay;
                 int PaymentBurdenCol = dgv.ColumnCount + (int)ColPayTotal.PaymentBurdens;
+                int RowLineCnt = 0;
                 foreach (DataGridViewRow wrkRow in dgv.Rows)
                 {
+                    RowLineCnt++;
                     // 純利益は書き込まない
-                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.GroupCount].Value) == (int)GroupName_ConstructionLedger.NetIncome) continue;
+                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.GroupCount].Value) == (int)GroupName_ConstructionLedger.NetIncome) continue;
                     // 合計金額は書き込まない
-                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.GroupCount].Value) == (int)GroupName_ConstructionLedger.AllTotal) continue;
+                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.GroupCount].Value) == (int)GroupName_ConstructionLedger.AllTotal) continue;
                     // 現在利益金額は書き込まない
-                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.GroupCount].Value) == (int)GroupName_ConstructionLedger.CurrentProfit) continue;
-                    
+                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.GroupCount].Value) == (int)GroupName_ConstructionLedger.CurrentProfit) continue;
+
                     // データ定義
                     ConstructionLedgerDetail work = new ConstructionLedgerDetail();
 
                     // データセット
                     // 明細チェック
-                    if (CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)DispGridColumn.TotalFlg].Value)) continue;
-                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.TotalFlg].Value) != 0) continue;
+                    if (CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)GridColumn.TotalFlg].Value)) continue;
+                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.TotalFlg].Value) != 0) continue;
 
-                    if (CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)DispGridColumn.TitileFlg].Value)) continue;
-                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.TitileFlg].Value) == 1) continue;
+                    if (CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)GridColumn.TitleFlg].Value)) continue;
+                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.TitleFlg].Value) == 1) continue;
 
-                    if (CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)DispGridColumn.BlankFlg].Value)) continue;
-                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.BlankFlg].Value) == 1) continue;
+                    if (CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)GridColumn.BlankFlg].Value)) continue;
+                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.BlankFlg].Value) == 1) continue;
 
                     // 空白行は処理しない
                     if (BlankLine(wrkRow.Index)) continue;
@@ -2960,41 +3694,58 @@
                     work.ConstructionCode = m_ConstructionCode;
 
                     // グループ番号
-                    work.GroupCount = CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.GroupCount].Value);
-
+                    work.GroupCount = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.GroupCount].Value);
+                    if (work.GroupCount == 10) Console.WriteLine("");
                     // 行番号
-                    work.LineCount = wrkRow.Index + 1;
+                    work.LineCount = RowLineCnt;
 
                     // 構成キー
-                    work.ComponentCode =CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.ComponentCode].Value);
+                    work.ComponentCode = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.ComponentCode].Value);
                     // 工種キー
-                    work.ItemCode = CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.ItemCode].Value);
+                    work.ItemCode = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.ItemCode].Value);
                     // 項目名称
-                    work.FirstString = CommonMotions.cnvString(wrkRow.Cells[(int)DispGridColumn.ItemName].Value);
-                    // 工事内容
-                    if (work.GroupCount == (int)GroupName_ConstructionLedger.PayrollExpenses)
+                    work.FirstString = CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn.ItemName].Value);
+                    // 担当者／副担当者／指導員は表示文字列を作成する
+                    string wrkTextName = CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn.TextName].Value);
+                    switch (work.GroupCount)
                     {
-                        wrkRow.Cells[(int)DispGridColumn.TextName].Value = MakePersonSalaryString();
+                        case (int)GroupName_ConstructionLedger.Payroll:
+                            // 担当者文字列
+                            if (wrkTextName.Length == 0) wrkRow.Cells[(int)GridColumn.TextName].Value = MakePersonSalaryString();
+                            break;
+                        case (int)GroupName_ConstructionLedger.Assistant:
+                            // 副担当者文字列
+                            if (wrkTextName.Length == 0) wrkRow.Cells[(int)GridColumn.TextName].Value = MakeAssistantSalaryString();
+                            break;
+                        case (int)GroupName_ConstructionLedger.Instructor:
+                            // 指導員文字列
+                            if (wrkTextName.Length == 0) wrkRow.Cells[(int)GridColumn.TextName].Value = MakeInstructorSalaryString();
+                            break;
+                        default:
+                            break;
                     }
-                    work.SecondString = CommonMotions.cnvString(wrkRow.Cells[(int)DispGridColumn.TextName].Value);
+                    // 工事内容
+                    work.SecondString = CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn.TextName].Value);
                     // 協力会社データタイプ
-                    work.CompanyType = CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.SubContractorType].Value);
+                    work.CompanyType = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.CompanyType].Value);
                     // 協力会社コード
-                    work.CompanyCode = CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.SubContractorCode].Value);
+                    work.CompanyCode = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.CompanyCode].Value);
                     // 協力会社名称
-                    work.CompanyName = CommonMotions.cnvString(wrkRow.Cells[(int)DispGridColumn.SubContractorName].Value);
+                    work.CompanyName = CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn.CompanyName].Value);
                     // 積算時見積金額
-                    work.EstimatePrice = CommonMotions.cnvDouble(wrkRow.Cells[(int)DispGridColumn.EstimatePrice].Value);
+                    work.EstimatePrice = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn.EstimatePrice].Value);
                     // 実行金額
-                    work.ExecutionAmount = CommonMotions.cnvDouble(wrkRow.Cells[(int)DispGridColumn.ExecPrice].Value);
+                    work.ExecutionAmount = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn.ExecPrice].Value);
                     // 金額構成率
-                    work.AmountConfigRate = CommonMotions.cnvDouble(wrkRow.Cells[(int)DispGridColumn.Percent].Value);
+                    work.AmountConfigRate = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn.Percent].Value);
                     // 支払補填額
                     work.PaymentBurden = CommonMotions.cnvDouble(wrkRow.Cells[PaymentBurdenCol].Value);
                     // 固定フラグ
-                    if (CommonMotions.cnvString(wrkRow.Cells[(int)DispGridColumn.FixFlg].Value).Equals("*")) work.FixDataFlg = 1;
+                    if (CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn.FixFlg].Value).Equals("*")) work.FixDataFlg = 1;
                     // 独立データフラグ
-                    work.IndependentFlg = CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.IndependentFlg].Value);
+                    work.IndependentFlg = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.IndependentFlg].Value);
+                    // 増減データフラグ
+                    work.FluctuationFlg = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.FluctuationFlg].Value);
 
                     // データ登録
                     if (!DetailDB.InsertAction(work, false))
@@ -3027,34 +3778,36 @@
                 ExcuteDB.DeleteAction(DelSQL, false);
                 DataGridView dgv = dgvAllDisplay;
                 int PayEnd = dgv.ColumnCount + (int)ColPayTotal.Totals;
+                int RowLineCnt = 0;
 
                 foreach (DataGridViewRow wrkRow in dgv.Rows)
                 {
+                    RowLineCnt++;
                     // 純利益は書き込まない
-                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.GroupCount].Value) == (int)GroupName_ConstructionLedger.NetIncome) continue;
+                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.GroupCount].Value) == (int)GroupName_ConstructionLedger.NetIncome) continue;
                     // 合計金額は書き込まない
-                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.GroupCount].Value) == (int)GroupName_ConstructionLedger.AllTotal) continue;
+                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.GroupCount].Value) == (int)GroupName_ConstructionLedger.AllTotal) continue;
                     // 現在利益金額は書き込まない
-                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.GroupCount].Value) == (int)GroupName_ConstructionLedger.CurrentProfit) continue;
+                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.GroupCount].Value) == (int)GroupName_ConstructionLedger.CurrentProfit) continue;
 
                     // データセット
                     // 明細チェック
-                    if (CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)DispGridColumn.TotalFlg].Value)) continue;
-                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.TotalFlg].Value) != 0) continue;
+                    if (CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)GridColumn.TotalFlg].Value)) continue;
+                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.TotalFlg].Value) != 0) continue;
 
-                    if (CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)DispGridColumn.TitileFlg].Value)) continue;
-                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.TitileFlg].Value) == 1) continue;
+                    if (CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)GridColumn.TitleFlg].Value)) continue;
+                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.TitleFlg].Value) == 1) continue;
 
-                    if (CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)DispGridColumn.BlankFlg].Value)) continue;
-                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.BlankFlg].Value) == 1) continue;
+                    if (CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)GridColumn.BlankFlg].Value)) continue;
+                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.BlankFlg].Value) == 1) continue;
 
                     // 空白行は処理しない
                     if (BlankLine(wrkRow.Index)) continue;
 
-                    for (int i = (int)DispGridColumn.payment; i < PayEnd; i++)
+                    for (int i = (int)GridColumn.payment; i < PayEnd; i++)
                     {
                         // 支払金額が無い場合は処理しない
-                        if (CommonMotions.cnvDouble(wrkRow.Cells[i].Value) < 1) continue;
+                        if (CommonMotions.cnvString(wrkRow.Cells[i].Value).Length == 0) continue;
 
                         // データ定義
                         ConstructionLedgerExcute work = new ConstructionLedgerExcute();
@@ -3063,10 +3816,10 @@
                         work.ConstructionCode = m_ConstructionCode;
 
                         // グループ番号
-                        work.GroupCount = CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.GroupCount].Value);
+                        work.GroupCount = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.GroupCount].Value);
 
                         // 行番号
-                        work.LineCount = wrkRow.Index + 1;
+                        work.LineCount = RowLineCnt;
 
                         // 列番号
                         work.ColumnCount = i;
@@ -3114,14 +3867,14 @@
                 foreach (DataGridViewRow wrkRow in dgvAllDisplay.Rows)
                 {
                     // 明細チェック
-                    if (CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)DispGridColumn.TotalFlg].Value)) continue;
-                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.TotalFlg].Value) != 0) continue;
+                    if (CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)GridColumn.TotalFlg].Value)) continue;
+                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.TotalFlg].Value) != 0) continue;
 
-                    if (CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)DispGridColumn.TitileFlg].Value)) continue;
-                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.TitileFlg].Value) != 0) continue;
+                    if (CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)GridColumn.TitleFlg].Value)) continue;
+                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.TitleFlg].Value) != 0) continue;
 
-                    if (CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)DispGridColumn.BlankFlg].Value)) continue;
-                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.BlankFlg].Value) != 0) continue;
+                    if (CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)GridColumn.BlankFlg].Value)) continue;
+                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.BlankFlg].Value) != 0) continue;
 
                     // 空白行は処理しない
                     if (BlankLine(wrkRow.Index)) continue;
@@ -3131,7 +3884,7 @@
                     }
                     DataGridViewTextBoxCell workCell = null;
                     // 項目名称レングスチェック
-                    workCell = (DataGridViewTextBoxCell)wrkRow.Cells[(int)DispGridColumn.ItemName];
+                    workCell = (DataGridViewTextBoxCell)wrkRow.Cells[(int)GridColumn.ItemName];
                     bAns = CommonMotions.chkStringLength(CommonMotions.cnvString(workCell.Value), s_InputStringMax1); // レングスチェック
                     CommonMotions.chgBackColor(workCell, bAns);                                         // 背景色変更
                     if (bAns) DefaultRowChangeColor(workCell.RowIndex);
@@ -3139,7 +3892,7 @@
                     bRet &= bAns;
 
                     // 工事内容レングスチェック
-                    workCell = (DataGridViewTextBoxCell)wrkRow.Cells[(int)DispGridColumn.TextName];
+                    workCell = (DataGridViewTextBoxCell)wrkRow.Cells[(int)GridColumn.TextName];
                     bAns = CommonMotions.chkStringLength(CommonMotions.cnvString(workCell.Value), s_InputStringMax1); // レングスチェック
                     CommonMotions.chgBackColor(workCell, bAns);                                         // 背景色変更
                     if (bAns) DefaultRowChangeColor(workCell.RowIndex);
@@ -3147,7 +3900,7 @@
                     bRet &= bAns;
 
                     // 協力会社名称レングスチェック
-                    workCell = (DataGridViewTextBoxCell)wrkRow.Cells[(int)DispGridColumn.SubContractorName];
+                    workCell = (DataGridViewTextBoxCell)wrkRow.Cells[(int)GridColumn.CompanyName];
                     bAns = CommonMotions.chkStringLength(CommonMotions.cnvString(workCell.Value), s_InputStringMax1); // レングスチェック
                     CommonMotions.chgBackColor(workCell, bAns);                                         // 背景色変更
                     if (bAns) DefaultRowChangeColor(workCell.RowIndex);
@@ -3156,7 +3909,7 @@
 
                     double doubleRet = 0;
                     // 予算金額行・実行金額行毎のチェック
-                    for (int ix = (int)DispGridColumn.EstimatePrice; ix <= (int)DispGridColumn.ExecPrice; ix++)
+                    for (int ix = (int)GridColumn.EstimatePrice; ix <= (int)GridColumn.ExecPrice; ix++)
                     {
                         bAns = true;
                         if (CommonMotions.chkObjectIsNull(wrkRow.Cells[ix].Value)) continue;
@@ -3176,13 +3929,13 @@
                             CommonMotions.chgBackColor(workCell, bAns);
                             ErrorRowl = wrkRow.Index;
                         }
-                        
+
                         bRet &= bAns;
                     }
 
                     // 支払金額のチェック
                     int PayEnd = dgv.ColumnCount + (int)ColPayTotal.Totals;
-                    for (int i = (int)DispGridColumn.payment; i < PayEnd; i++)
+                    for (int i = (int)GridColumn.payment; i < PayEnd; i++)
                     {
                         bAns = true;
                         if (CommonMotions.chkObjectIsNull(wrkRow.Cells[i].Value)) continue;
@@ -3433,8 +4186,8 @@
             DataGridViewRow wrkRow = dgvAllDisplay.Rows[LineCnt];
 
             // 空判定
-            if (CommonMotions.chkCellBlank(wrkRow.Cells[(int)DispGridColumn.BlankFlg].Value)) return true;
-            if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.BlankFlg].Value) == 1) return true;
+            if (CommonMotions.chkCellBlank(wrkRow.Cells[(int)GridColumn.BlankFlg].Value)) return true;
+            if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.BlankFlg].Value) == 1) return true;
 
             return false;
         }
@@ -3453,14 +4206,14 @@
 
                 frm.ConstructionCode = m_ConstructionCode;
                 frm.StartupSource = (int)ClsExcute.ProcessExecuteNo.ConstructionLedger;
-                frm.ShowInTaskbar = false;
+                //frm.ShowInTaskbar = false;
                 frm.ShowDialog();
                 if (frm.EndButton == System.Windows.Forms.DialogResult.OK)
                 {
                     SubContractorMaster selRec = frm.SelectData;
-                    dgv.CurrentRow.Cells[(int)DispGridColumn.SubContractorType].Value = frm.DataType;
-                    dgv.CurrentRow.Cells[(int)DispGridColumn.SubContractorCode].Value = selRec.CompanyCode;
-                    dgv.CurrentRow.Cells[(int)DispGridColumn.SubContractorName].Value = selRec.CompanyName;
+                    dgv.CurrentRow.Cells[(int)GridColumn.CompanyType].Value = frm.DataType;
+                    dgv.CurrentRow.Cells[(int)GridColumn.CompanyCode].Value = selRec.CompanyCode;
+                    dgv.CurrentRow.Cells[(int)GridColumn.CompanyName].Value = selRec.CompanyName;
                     m_bChengeAns = true;
                 }
             }
@@ -3488,14 +4241,14 @@
                 DataGridView dgv = dgvAllDisplay;
 
                 frm.ConstructionCode = m_ConstructionCode;
-                frm.ShowInTaskbar = false;
+                //frm.ShowInTaskbar = false;
                 frm.ShowDialog();
                 if (frm.EndButton == System.Windows.Forms.DialogResult.OK)
                 {
                     SuppliersMaster selRec = frm.SelectData;
-                    dgv.CurrentRow.Cells[(int)DispGridColumn.SubContractorType].Value = 0;
-                    dgv.CurrentRow.Cells[(int)DispGridColumn.SubContractorCode].Value = selRec.SuppliersCode;
-                    dgv.CurrentRow.Cells[(int)DispGridColumn.SubContractorName].Value = selRec.SuppliersName1 + " " + selRec.SuppliersName2;
+                    dgv.CurrentRow.Cells[(int)GridColumn.CompanyType].Value = (int)CommonDefine.SearchLogDataType.Subconstractor;
+                    dgv.CurrentRow.Cells[(int)GridColumn.CompanyCode].Value = selRec.SuppliersCode;
+                    dgv.CurrentRow.Cells[(int)GridColumn.CompanyName].Value = selRec.SuppliersName1 + " " + selRec.SuppliersName2;
                     m_bChengeAns = true;
                 }
             }
@@ -3520,14 +4273,13 @@
             try
             {
                 dgvAllDisplay.ReadOnly = !bLook;
-                
+
                 // 最後にボタンの処理を行う
                 //btnApprovalList.Visible = bLook;
                 btnDataEntry.Visible = bLook;
-                btnDataDelete.Visible = bLook;
+                //btnDataDelete.Visible = bLook;
                 btnLineAdd.Visible = bLook;
                 btnLineDel.Visible = bLook;
-
             }
             catch (Exception ex)
             {
@@ -3548,7 +4300,7 @@
                 DataGridView dgv = dgvAllDisplay;
                 int ResultCols = dgv.ColumnCount + (int)ColPayTotal.Results;
                 int OverpaymentCols = dgv.ColumnCount + (int)ColPayTotal.Overpayments;
-                
+
                 DataGridViewRow CurRow = dgv.Rows[RowCnt];
 
                 int ResultValue = CommonMotions.cnvInt(CurRow.Cells[ResultCols].Value);
@@ -3620,7 +4372,7 @@
 
                 // データ登録
                 if (!DataEntryProcess(false)) return false;
-                
+
                 return true;
             }
             catch (Exception ex)
@@ -3631,30 +4383,17 @@
         }
         #endregion
 
-        #region 外部からのトリガにより工事詳細台帳を作成する
+        #region 外部からのトリガにより工事詳細台帳を保存する
         /// <summary>
-        /// 工事詳細台帳を再計算する
+        /// 外部からのトリガにより工事詳細台帳を保存する
         /// </summary>
         /// <returns></returns>
-        private bool NonDspLedgerCreate()
+        private bool NonDspLedgerSave()
         {
             try
             {
-                // 表示クリア
-                ClearDisplay();
-
-                if (!GetBaseInfoData()) return false;
-
-                // ヘッダー表示
-                if (!DispHeader()) return false;
-
-                // グリッド行削除
-                dgvAllDisplay.Rows.Clear();
-
-                // 工事予算書より作成する
-                DispDataFromConstructionBudget();
-
-                return true;
+                // 外部からの起動は詳細台帳データを作成する
+                return DataEntryProcess(false);
             }
             catch (Exception ex)
             {
